| Kea 3.0.2-git

buffer_appender_impl.h File Reference
`#include <exceptions/exceptions.h>`
`#include <log4cplus/logger.h>`
`#include <log4cplus/spi/loggingevent.h>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for buffer_appender_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::log::internal::BufferAppender
| Buffering Logger Appender. More...
class | isc::log::internal::LogBufferAddAfterFlush
| Buffer add after flush. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::log
namespace | isc::log::internal

## Typedefs
typedef std::pair< std::string, LogEventPtr > | isc::log::internal::LevelAndEvent
| Convenience typedef for a pair string/logeventptr, the string representing the logger level, as returned by LogLevelManager::toString() at the time of initial logging.
typedef std::vector< LevelAndEvent > | isc::log::internal::LogEventList
| Convenience typedef for a vector of LevelAndEvent instances.
typedef boost::shared_ptr< log4cplus::spi::InternalLoggingEvent > | isc::log::internal::LogEventPtr
| Convenience typedef for a pointer to a log event.